<?php

namespace Teknisa\CADEST\Factories;


use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;

class Ger01800UnidadeDeMedidaFactory {
    protected $connection;

    public function __construct($entityManager) {
        $this->connection = $entityManager->getConnection();
        date_default_timezone_set('America/Sao_Paulo');
    }

    public function deleteUnidMedida($row) {
      
        $sql = "DELETE FROM UNIDMEDIDA
                WHERE SGUNIDADE = :P_SGUNIDADE";
                
        $params = array('P_SGUNIDADE'   => $row['SGUNIDADE']);
                       
        $std = $this->connection->prepare($sql);
        return $std->execute($params);

    }
    
    public function deleteUnidMedidaConv($row) {
      
        $sql = "DELETE FROM CONVUNID
                WHERE SGUNIDDE = :P_SGUNIDDE";
                
        $params = array('P_SGUNIDDE'    => $row['SGUNIDADE']);
                       
        $std = $this->connection->prepare($sql);
        return $std->execute($params);

    }
    
}