<?php
namespace Teknisa\CADEST\Factories;

use Doctrine\ORM\EntityManager;

class ProdTreeGroup {

    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getChildren($params) { 
        $sql = "SELECT NRTPARVPROD, 
                    NRARVOREPROD, 
                    NRTPARVPRODPAI, 
                    NRARVOREPRODPAI, 
                    NMARVOREPROD 
                FROM ESTRUARVOREPROD 
                WHERE NRORG = :NRORG 
                    AND NRARVOREPRODPAI = :NRARVOREPRODPAI";

        $query = $this->connection->prepare($sql);
        $query->execute($params);

        return $query->fetchAll();
    }

}
